#
# spec file for package vacation (Version 1.2.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           vacation
License:        GPL
Group:          Productivity/Networking/Email/Utilities
Autoreqprov:    on
Version:        1.2.6.1
Release:        150.2
Summary:        A way to automatically reply to incoming e-mail
Source:         vacation-%{version}.tar.bz2
Patch:          vacation-%{version}.dif
Patch1:         vacation-%{version}.multiple-vacationmsg_files.dif
# Not used but an option for geting it work without
# using -m32 on 64bit and also on big endiany systems
# Problem: it breaks olf vacation programs using gdbm
# and it requires db1 (to be independent from db version)
Patch2:         vacation-%{version}.db.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program answers your e-mail when you are lying on the beach.

Documentation: man vacation



Authors:
--------
    Sean F Rima <sean.rima@tcob1.uklinux.net>
    Eric P. Allman
    Harald Milz <hm@seneca.muc.de>

%debug_package
%prep
%setup
%patch
%patch1

%build
# %ifarch ia64 x86_64 s390x ppc64
# # neededforbuild  gdbm-32bit gdbm-devel-32bit glibc-devel-32bit
#    RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -m32"
#%endif
    chmod -R u+w,g+r,o+r .
    make clobber
    make

%install
# %ifarch ia64 x86_64 s390x ppc64
# # neededforbuild  gdbm-32bit gdbm-devel-32bit glibc-devel-32bit
#     RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -m32"
# %endif
    rm -rf $RPM_BUILD_ROOT
    mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT%{_mandir}/man{1,5}
    make install MANDIR=$RPM_BUILD_ROOT%{_mandir}/man BINDIR=$RPM_BUILD_ROOT/usr/bin
    rm -f $RPM_BUILD_ROOT%{_mandir}/man5/forward.5
    echo '.so man5/aliases.5' > $RPM_BUILD_ROOT%{_mandir}/man5/forward.5
    chmod 0444 $RPM_BUILD_ROOT%{_mandir}/man5/forward.5

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README
/usr/bin/vacation
/usr/bin/vaclook
%{_mandir}/man1/vacation.1.gz
%{_mandir}/man1/vaclook.1.gz
%{_mandir}/man5/forward.5.gz

%changelog -n vacation
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 - werner@suse.de
- Close db file on emergency exit
* Fri Jul 01 2005 - werner@suse.de
- Remove -m486
* Fri Jul 01 2005 - werner@suse.de
- Remove -fsigned-char (bug #93887)
* Thu Aug 19 2004 - werner@suse.de
- Do not reply on SPAM mails detected by Spamassassin.
* Wed Jul 28 2004 - werner@suse.de
- Add some more comments in usage() and fix hint on new option -F
* Tue Jun 22 2004 - werner@suse.de
- Add warning message and force option for HOME dir via NFS, this
  because there is no portable _and_ backward compatible db lib
  available (bug #41837).
* Fri Jun 11 2004 - werner@suse.de
- Try to fix bug #41837 aka portable ~/.vacation.db
* Mon Jul 28 2003 - werner@suse.de
- Add Precedence bulk to replay header (bug #27759)
* Mon Jun 30 2003 - werner@suse.de
- Update to vacation 1.2.6.1
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Apr 22 2002 - draht@suse.de
- added -f option to vacation, which now supports not only the
  default message file, but also the one specified on the
  commandline. Manpage changes are also complete.
* Wed Feb 28 2001 - werner@suse.de
- Add -f to rm to avoid missing man page on ppc
* Wed Feb 28 2001 - werner@suse.de
- Fix compile error on none ia32, ppc, and axp
* Wed Feb 28 2001 - werner@suse.de
- Update to 1.2.5 (mostly SuSE patches!)
- Intergrate eating patch to avoid SIGPIPE to the MTA
* Thu Nov 23 2000 - werner@suse.de
- Eat stdin at exit to avoid SIGPIPE to the MTA
* Fri Jul 14 2000 - werner@suse.de
- Security: avoid sendmail options within from address
* Thu Jun 08 2000 - ro@suse.de
- doc relocation
* Mon Mar 06 2000 - werner@suse.de
- Rename included aliases.5 to forward.5 because this page
  explains more than the those of sendmail or postfix and
  it avoids an .so request of a maybe missed aliases.5.
* Fri Mar 03 2000 - werner@suse.de
- /usr/man -> /usr/share/man
* Tue Jan 11 2000 - werner@suse.de
- New version 1.2.1
  * with bug fix (no string case compare for mail addresses)
- Fix CFLAGS so it will work on PPC
* Sun Jan 02 2000 - kukuk@suse.de
-  Fix CFLAGS so it will work on every architecture
* Wed Dec 22 1999 - werner@suse.de
- new version 1.2.0
- install vaclook
- create and install vaclook.man
* Sat Nov 27 1999 - kukuk@suse.de
- Use RPM_OPT_FLAGS
* Mon Nov 01 1999 - kukuk@suse.de
- Replace vfork() with fork()
* Tue Sep 21 1999 - uli@suse.de
- fixed Makefile for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 03 1999 - ro@suse.de
- no m486 on alpha
* Fri Oct 30 1998 - werner@suse.de
- man page:
  * change /usr/ucb/vacation to /usr/bin/vacation
  * remove empty line at begining
* Fri Jun 06 1997 - bs@suse.de
- skipped man page aliases.5 (is in sendmail)
* Mon May 26 1997 - werner@suse.de
- Fix in version 1.1.1 : now /usr/bin/vacation
  is compiled in static (security)
